When you try to install a patch, you may get the error message "Setup could not verify integrity of file. Make sure the cryptographic service is running."

This typically means that the signature catalog has been corrupted. There was a patch to fix this problem, but of course if you haven't been keeping up with your patches you probably don't have that patch yet either, and of course you can't install that patch yet either because the signature catalog is corrupted...

Fortunately, the nice people at http://www.updatexp.com/ have written up a web page describing how to fix it.